## vgabios 0.6c

=== debian/changelog ===
vgabios (0.6c-3~ybp60+1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild for squeeze

 -- Uli Martens <uli@youam.net>  Sun, 11 Sep 2011 15:51:42 +0200

vgabios (0.6c-3) unstable; urgency=low

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.1 (no changes needed).
  * Add missing ${misc:Depends} to vgabios Depends field.

  [ Jonathan Nieder ]
  * Add support for additional PCI BIOS, by using proper PCI IDs.
    Patches taken from the QEMU tree by Gerd Hoffman: (Closes: #614200)
    - Makefile: factor out a single rule to build BIOS binaries, using
      variables to account for their differences.
      + debian/patches/01-Makefile-cleanup: New file.
    - Allow PCI vendor and device IDs to be set for each BIOS binary.
      + debian/patches/02-Add-defines-for-PCI-IDs: New file.
    - Introduce vgabios-stdvga.bin, for QEMU's standard VGA card (1234:1111).
      + debian/patches/03-Add-qemu-stdvga-bios: New file.
    - Make pci_get_lfb_addr check PCI region 1 in addition to region zero,
      so it can be used for the VmWare SVGA-II compatible adapter.
      + debian/patches/04-update-pci_get_lfb_addr-for...: New file.
    - Introduce vgabios-vmware.bin, for the VmWare SVGA-II card (15ad:0405).
      + debian/patches/05-Add-qemu-vmware-vga-pci-bios: New file.
    - Introduce vgabios-qxl.bin, for QEMU's QXL paravirtual graphics card
      (1b36:0100).
      + debian/patches/06-Add-qemu-qxl-vga-pci-bios: New file.
  * Install the new binaries in debian/rules.

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Feb 2011 03:44:20 +0100

vgabios (0.6c-2) unstable; urgency=low

  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Use UTF-8 copyright symbol in debian/rules.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 02 Dec 2009 22:31:26 +0100

vgabios (0.6c-1) unstable; urgency=low

  * New upstream release. (Closes: #523303)
    - debian/patches/widescreen_modes_stolen_from_kvm.patch: Remove, fixed
    upstream.
  * Refer to LGPL-2.1 from common-licenses instead of just LGPL.
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Now using Standards-Version 3.8.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Apr 2009 16:24:25 +0200

vgabios (0.6b-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01_pci_rom_header.patch: Remove, fixed upstream.
    - debian/patches/02_biossums_warning.patch: Likewise.
    - debian/patches/03_no_linemarkers.patch: Likewise.
  * The offending patches using the quilt series -p0 specific feature are
    no longer in the package. (Closes: #485361)
  * Update debian/watch file to new savannah url.
  * Improve debian/copyright:
    - Remove empty Copyright section.
    - Rename Acknowledgements to Copyright Holders.
    - List all copyright holders, with copyright sign and years.
    - Add more upstream authors.
    - Update upstream download url.
  * Add a README.source.
  * Add a Homepage field.
  * Update packaging VCS fields to the new url.
  * Now using Standards-Version 3.8.0.
  * Add support for widescreen modes, stolen from KVM. (Closes: #458477)
    - debian/patches/widescreen_modes_stolen_from_kvm.patch: New file.

 -- Guillem Jover <guillem@debian.org>  Sun, 15 Jun 2008 07:56:46 +0300

vgabios (0.6a-3) unstable; urgency=low

  * Do not add linemarkers from gcc preprocessed output. (Closes: #441491)
    - debian/patches/03_no_linemarkers.patch: New file.
  * Add Vcs-Brwoser and Vcs-Git fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Sep 2007 05:28:35 +0300

vgabios (0.6a-2) unstable; urgency=low

  * Add quilt support for patch management:
    - Add 'quilt (>= 0.40) to Build-Depends.
    - Include quilt.make from debian/rules.
    - Add a debian/patches/series file.
  * Add a PCI rom header. (Closes: #432766)
    - debian/patches/01_pci_rom_header.patch: New file.
    Thanks to Stefan Reinauer <stepan@coresystems.de>.
  * Fix warning in biossums.c by including <string.h>.
    - debian/patches/02_biossums_warning.patch: New file.
  * Add build-indep and build-arch targets.
  * Create the binary package on binary-indep instead of binary-arch.

 -- Guillem Jover <guillem@debian.org>  Tue, 17 Jul 2007 06:11:15 +0300

vgabios (0.6a-1) unstable; urgency=low

  * New upstream release.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Move debhelper from Build-Depends-Indep to Build-Depends as it's being
    used on clean.

 -- Guillem Jover <guillem@debian.org>  Wed, 23 Aug 2006 03:22:04 +0300

vgabios (0.5d-1) unstable; urgency=low

  * New upstream release.
  * Updated FSF's address.
  * Upgraded to debhelper compat level 5.
  * Remove commented stuff on debian/rules.

 -- Guillem Jover <guillem@debian.org>  Mon,  2 Jan 2006 00:26:09 +0200

vgabios (0.5c-1) unstable; urgency=low

  * New upstream release.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Jul 2005 11:39:45 +0300

vgabios (0.5b-1) unstable; urgency=low

  * New upstream release.
  * Update watch file URL and increase version number to 3.
  * Now using Standards-Version 3.6.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue,  5 Jul 2005 01:21:45 +0300

vgabios (0.5a-1) unstable; urgency=low

  * New upstream release.
  * Do not use a build-stamp file.

 -- Guillem Jover <guillem@debian.org>  Mon,  4 Apr 2005 01:35:02 +0300

vgabios (0.4c+20041014-1) unstable; urgency=low

  * New Maintainer. (Closes: #276391)
  * New upstream snapshot.
    - Remove CVS dirs.
    - Not tar in tar anymore.
  * Clean debian/copyright.
  * Reworded package long description.
  * Removed emacs cruft from changelog.
  * Do not create the lintian overrides dir.
  * Remove the binary rom files on clean.
  * Switch back to plain debhelper.

