=== debian/control ===
Source: vgabios
Section: misc
Priority: extra
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: http://savannah.nongnu.org/projects/vgabios/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/vgabios.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/vgabios.git
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: bcc, bin86, gawk | awk
Standards-Version: 3.9.1

Package: vgabios
Architecture: all
Depends: ${misc:Depends}
Conflicts: bochs (<< 2.1.1+20040903-1)
Description: VGA BIOS software for the Bochs and Qemu emulated VGA card
 The goal of this project is to provide a Video BIOS for Bochs and Qemu.
 This VGA BIOS is very specific to the bochs/qemu emulated VGA card.
 .
 WARNING: It is NOT meant to drive a physical vga card. You will probably
 fry it if you try. You have been warned.
