=== debian/changelog ===
vgabios (0.7a-6) unstable; urgency=low

  [ Reiner Herrmann ]
  * QA upload.
  * Bump Standards-Version to 3.9.8.
  * Bump debhelper compat level to 9.
  * Use https URLs for Vcs-Git/Vcs-Browser/Homepage fields.
  * Convert debian/copyright to DEP5.
  * Remove comments from debian/watch.
  * Remove unneeded targets from rules.
  * Remove bochs conflict.
  * Enable parallel building.
  * Add patch for reproducible building.
  * Add patch to support QXGA resolutions.
    Thanks to Sven Schnelle. (Closes: #669114)

  [ Mattia Rizzolo ]
  * Move the repository to collab-maint

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 08 Apr 2016 23:11:11 +0200

vgabios (0.7a-5) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 18 Apr 2014 20:32:51 +0400

vgabios (0.7a-4) unstable; urgency=low

  * add symlinks for naming as used by qemu (s/\./_/)
  * move symlinks from debian/links to debian/rules
    (just one place for paths) and simplify it a bit
  * reformat previous changelog to fit in 80 columns
  * Multi-Arch: foreign (Closes: #728474)
  * Set Standards-Version to 3.9.4 (no changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 23 Nov 2013 23:45:11 +0400

vgabios (0.7a-3) unstable; urgency=low

  * Adopt the package under qemu-pkg umbrella (Closes: #658776)
    Thank you Guillem for maintaining it so far
  * Move package git repository to git.debian.org
  * Update VCS links accordingly
  * Convert debian/rules to debhelper, remove more generated files in clean
  * Added debian/patches/disable-1280x768-and-1280x120-modes.patch
    to work around the problem described in #654823.  The patch
    does not fix the bug, it just disables two useful video modes
    which are causing issues. (Closes: #654823)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 06 Feb 2012 14:50:58 +0400

vgabios (0.7a-2) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 Feb 2012 00:19:33 +0100

vgabios (0.7a-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/01-Makefile-cleanup: Remove, merged upstream.
    - debian/patches/02-Add-defines-for-PCI-IDs: Likewise.
    - debian/patches/03-Add-qemu-stdvga-pci-bios: Likewise.
    - debian/patches/04-update-pci_get_lfb_addr-for-vmware-vga: Likewise.
    - debian/patches/05-Add-qemu-vmware-vga-pci-bios: Refreshed.
    - debian/patches/06-Add-qemu-qxl-vga-pci-bios: Likewise.
  * Add compatibility symlinks from stdvga vgabios to the default vgabios
    ROM, as the latter is now exactly the same as the former.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 01 Nov 2011 00:57:42 +0100
