=== debian/control ===
Source: vgabios
Section: misc
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: https://savannah.nongnu.org/projects/vgabios/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/vgabios.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/vgabios.git
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: bcc, bin86, gawk | awk
Standards-Version: 3.9.8

Package: vgabios
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: VGA BIOS software for the Bochs and Qemu emulated VGA card
 The goal of this project is to provide a Video BIOS for Bochs and Qemu.
 This VGA BIOS is very specific to the bochs/qemu emulated VGA card.
 .
 WARNING: It is NOT meant to drive a physical vga card. You will probably
 fry it if you try. You have been warned.
