=== debian/rules ===
#!/usr/bin/make -f

biosdir := /usr/share/vgabios
debbiosdir := debian/vgabios$(biosdir)

%:
	+dh $@ --parallel

override_dh_auto_install:
	set -e; \
	 for v in "" .cirrus .qxl .vmware; do \
	   install -m 0644 VGABIOS-lgpl-latest$$v.bin \
		$(debbiosdir)/vgabios$$v.bin ; \
	   install -m 0644 VGABIOS-lgpl-latest$$v.debug.bin \
		$(debbiosdir)/vgabios$$v.debug.bin ; \
	 done
# Compatibility symlinks with Debian vgabios == 0.6c-3
	ln -s vgabios.bin $(debbiosdir)/vgabios.stdvga.bin
	ln -s vgabios.debug.bin $(debbiosdir)/vgabios.stdvga.debug.bin
# qemu naming scheme (s/\./-/)
	set -e; \
	 for v in cirrus qxl stdvga vmware; do \
	  ln -s vgabios.$$v.bin $(debbiosdir)/vgabios-$$v.bin ; \
	 done
