=== debian/watch ===
version=3
http://download.sv.gnu.org/releases/vgabios/ vgabios-(.*)\.tgz debian uupdate
