## vgabios 0.7a+cvs20180116

=== debian/changelog ===
vgabios (0.7a+cvs20180116-1) unstable; urgency=medium

  * New upstream CVS snapshot.
  * Adopt the package. Closes: #745170.
  * Switch to priority “optional”.
  * Move to Salsa.
  * Use secure URLs in debian/copyright and debian/watch.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.
  * Drop Qemu from the package description, it no longer uses this
    package.

 -- Stephen Kitt <skitt@debian.org>  Thu, 15 Nov 2018 08:48:51 +0100
