=== debian/control ===
Source: vgabios
Section: misc
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Homepage: https://savannah.nongnu.org/projects/vgabios/
Vcs-Browser: https://salsa.debian.org/debian/vgabios
Vcs-Git: https://salsa.debian.org/debian/vgabios.git
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: bcc, bin86, gawk | awk
Standards-Version: 4.2.1
Rules-Requires-Root: no

Package: vgabios
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: VGA BIOS software for the Bochs emulated VGA card
 The goal of this project is to provide a Video BIOS for Bochs.
 This VGA BIOS is very specific to the bochs emulated VGA card.
 .
 WARNING: It is NOT meant to drive a physical vga card. You will probably
 fry it if you try. You have been warned.
