=== debian/watch ===
version=3
https://download.sv.gnu.org/releases/vgabios/ vgabios-(.*)\.tgz debian uupdate
