## vgabios 0.7b+ds

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+#
+#  Copyright (C) 2001-2020 The LGPL VGABios developers Team
+#
+
 SHELL = /bin/sh
 
 CC      = gcc
@@ -13,6 +17,8 @@
 RELVERS = `pwd | sed "s-.*/--" | sed "s/vgabios//" | sed "s/-//"`
 
 VGABIOS_DATE = "-DVGABIOS_DATE=\"$(RELDATE)\""
+RELEASE_BIN_LIST=README VGABIOS-lgpl-latest.bin VGABIOS-lgpl-latest.debug.bin \
+                 VGABIOS-lgpl-latest.cirrus.bin VGABIOS-lgpl-latest.cirrus.debug.bin
 
 all: bios cirrus-bios
 
@@ -63,11 +69,8 @@
 	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios cirrus-bios
 	/bin/rm -f  *.o *.s *.ld86 \
           temp.awk.* vgabios.*.orig _vgabios_.*.c core *.bak .#*
-	cp VGABIOS-lgpl-latest.bin ../$(RELEASE).bin
-	cp VGABIOS-lgpl-latest.debug.bin ../$(RELEASE).debug.bin
-	cp VGABIOS-lgpl-latest.cirrus.bin ../$(RELEASE).cirrus.bin
-	cp VGABIOS-lgpl-latest.cirrus.debug.bin ../$(RELEASE).cirrus.debug.bin
-	tar czvf ../$(RELEASE).tgz --exclude CVS -C .. $(RELEASE)/
+	tar czvf ../$(RELEASE)-bin.tgz $(RELEASE_BIN_LIST)
+	tar czvf ../$(RELEASE).tgz --exclude .svn -C .. $(RELEASE)/
 
 biossums: biossums.c
 	$(CC) -o biossums biossums.c
