=== debian/changelog ===
vgabios (0.7b+ds-1) unstable; urgency=medium

  * New upstream release.
  * Exclude binary tarballs and drop binaries and debug files from the
    upstream tarball.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 Jan 2020 18:05:56 +0100
