=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Homepage: https://savannah.nongnu.org/projects/vgabios/
 Vcs-Browser: https://salsa.debian.org/debian/vgabios
 Vcs-Git: https://salsa.debian.org/debian/vgabios.git
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: bcc, bin86, gawk | awk
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 
 Package: vgabios
