=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 debbiosdir := debian/vgabios$(biosdir)
 
 %:
-	+dh $@ --parallel
+	dh $@
 
 override_dh_auto_install:
 	set -e; \
