=== debian/watch ===
version=3
opts="repacksuffix=+ds, dversionmangle=s/\+ds//, uversionmangle=s/.bin/~bin/" \
 https://download.sv.gnu.org/releases/vgabios/ vgabios-(.*)\.tgz debian uupdate
