## vgabios 0.8a%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2020 The LGPL VGABios developers Team
+#  Copyright (C) 2001-2021 The LGPL VGABios developers Team
 #
 
 SHELL = /bin/sh
@@ -18,13 +18,16 @@
 
 VGABIOS_DATE = "-DVGABIOS_DATE=\"$(RELDATE)\""
 RELEASE_BIN_LIST=README VGABIOS-lgpl-latest.bin VGABIOS-lgpl-latest.debug.bin \
-                 VGABIOS-lgpl-latest.cirrus.bin VGABIOS-lgpl-latest.cirrus.debug.bin
+                 VGABIOS-lgpl-latest.cirrus.bin VGABIOS-lgpl-latest.cirrus.debug.bin \
+                 VGABIOS-lgpl-latest.banshee.bin
 
-all: bios cirrus-bios
+all: bios cirrus-bios banshee-bios
 
 bios: vgabios.bin vgabios.debug.bin
 
 cirrus-bios: vgabios-cirrus.bin vgabios-cirrus.debug.bin
+
+banshee-bios: vgabios-banshee.bin
 
 clean:
 	/bin/rm -f  biossums vbetables-gen vbetables.h *.o *.s *.ld86 \
@@ -35,24 +38,28 @@
 # source files
 VGA_FILES := vgabios.c vgabios.h vgafonts.h vgatables.h
 VBE_FILES := vbe.h vbe.c vbetables.h
+BANSHEE_FILES := banshee.c
 
 # build flags
 vgabios.bin              : VGAFLAGS := -DVBE -DPCIBIOS
 vgabios.debug.bin        : VGAFLAGS := -DVBE -DPCIBIOS -DDEBUG
 vgabios-cirrus.bin       : VGAFLAGS := -DCIRRUS -DPCIBIOS
 vgabios-cirrus.debug.bin : VGAFLAGS := -DCIRRUS -DPCIBIOS -DCIRRUS_DEBUG
+vgabios-banshee.bin      : VGAFLAGS := -DBANSHEE -DPCIBIOS
 
 # dist names
 vgabios.bin              : DISTNAME := VGABIOS-lgpl-latest.bin
 vgabios.debug.bin        : DISTNAME := VGABIOS-lgpl-latest.debug.bin
 vgabios-cirrus.bin       : DISTNAME := VGABIOS-lgpl-latest.cirrus.bin
 vgabios-cirrus.debug.bin : DISTNAME := VGABIOS-lgpl-latest.cirrus.debug.bin
+vgabios-banshee.bin      : DISTNAME := VGABIOS-lgpl-latest.banshee.bin
 
 # dependencies
 vgabios.bin              : $(VGA_FILES) $(VBE_FILES) biossums
 vgabios.debug.bin        : $(VGA_FILES) $(VBE_FILES) biossums
 vgabios-cirrus.bin       : $(VGA_FILES) clext.c biossums
 vgabios-cirrus.debug.bin : $(VGA_FILES) clext.c biossums
+vgabios-banshee.bin      : $(VGA_FILES) banshee.c biossums
 
 # build rule
 %.bin:
@@ -66,9 +73,8 @@
 	ls -l $(DISTNAME)
 
 release: 
-	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios cirrus-bios
-	/bin/rm -f  *.o *.s *.ld86 \
-          temp.awk.* vgabios.*.orig _vgabios_.*.c core *.bak .#*
+	VGABIOS_VERS=\"-DVGABIOS_VERS=\\\"$(RELVERS)\\\"\" make bios cirrus-bios banshee-bios
+	make clean
 	tar czvf ../$(RELEASE)-bin.tgz $(RELEASE_BIN_LIST)
 	tar czvf ../$(RELEASE).tgz --exclude .svn -C .. $(RELEASE)/
