=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,10 @@
 
 override_dh_auto_install:
 	set -e; \
-	 for v in "" .cirrus .qxl .vmware; do \
+	 for v in "" .banshee .cirrus .qxl .vmware; do \
 	   install -m 0644 VGABIOS-lgpl-latest$$v.bin \
 		$(debbiosdir)/vgabios$$v.bin ; \
+	   [ -f VGABIOS-lgpl-latest$$v.debug.bin ] && \
 	   install -m 0644 VGABIOS-lgpl-latest$$v.debug.bin \
 		$(debbiosdir)/vgabios$$v.debug.bin ; \
 	 done
@@ -19,6 +20,6 @@
 	ln -s vgabios.debug.bin $(debbiosdir)/vgabios.stdvga.debug.bin
 # qemu naming scheme (s/\./-/)
 	set -e; \
-	 for v in cirrus qxl stdvga vmware; do \
+	 for v in banshee cirrus qxl stdvga vmware; do \
 	  ln -s vgabios.$$v.bin $(debbiosdir)/vgabios-$$v.bin ; \
 	 done
