## vgabios 0.8a+ds

=== tests/lfbprof/Makefile ===
# Very simple makefile for LFBPROF.C using Watcom C++ 10.0a with DOS4GW

lfbprof.exe: lfbprof.c lfbprof.h
    wcl386 -zq -s -d2 lfbprof.c
