=== debian/changelog ===
vgabios (0.8a+ds-3) unstable; urgency=medium

  * Drop the redundant build-dependency on gawk | awk. Thanks to
    Santiago Vila for pointing this out! Closes: #1077651.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Aug 2025 08:39:10 +0200

vgabios (0.8a+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Aug 2021 19:35:06 +0200

vgabios (0.8a+ds-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to version 4.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 Jun 2021 19:48:07 +0200
